Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities
Interface CommunityCallback

All Superinterfaces
  Serializable

All Known Implementing Classes:
  AbstractCommunityCallback

    public interface CommunityCallback

extends Serializable

Defines callback methods that the WLP framework makes in response to various community lifecycle events. It is recommended practice for callees to retrieve information provided by callback methods and return as quickly as possible, performing any operations related to the callback in an asynchronous manner. Furthermore, it is recommended that operations to be carried out on `onDeactivate` and `onDelete` not depend on the community being in an active state or on the existence of the community. Since the WLP framework makes callbacks from an enterprise application scope, implementations of this interface must be accessible from the application classpath. Callbacks will be made regardless of the type or other attributes of a community. If the callback implementation needs to predicate it's behavior on any attribute of the community, it should use the `CommunityDefinition` provided as argument to the callback. For e.g.: If a callee wants to specify a callback class on a template so that it may be used by all instances of the template but only perform actions on instance lifecycle callbacks, they may use the definition to find out the community type and only do something when it is not a template.

For more information see the discussion of community callbacks or the overview of community functionality.

Method Summary
`void` | `onActivate(CommunityDefinition communityDefinition)` Method for callback to be made `AFTER` a community has been activated.
`void` | `onCreate(CommunityDefinition communityDefinition)` Method for callback to be made `AFTER` creation of a community.
`void` | `onDeactivate(CommunityDefinition communityDefinition)` Method for callback to be made `BEFORE` a community is deactivated.
`void` | `onDelete(CommunityDefinition communityDefinition)` Method for callback to be made `BEFORE` a community is deleted.

Method Detail

### onCreate

    void onCreate(CommunityDefinition communityDefinition)

  Method for callback to be made `AFTER` creation of a community.

  Parameters
    `communityDefinition` - newly created community definition

### onActivate

    void onActivate(CommunityDefinition communityDefinition)

  Method for callback to be made `AFTER` a community has been activated.

  Parameters
    `communityDefinition` - activated community definition

### onDeactivate

    void onDeactivate(CommunityDefinition communityDefinition)

  Method for callback to be made `BEFORE` a community is deactivated.

  Parameters
    `communityDefinition` - community definition for community to be deactivated

### onDelete

    void onDelete(CommunityDefinition communityDefinition)

  Method for callback to be made `BEFORE` a community is deleted.

  Parameters
    `communityDefinition` - community definition for community to be deleted

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved